/* System Options */
options mprint mlogic;


/* Folder containing input data files AND MSCDM-formatted data */          
%let inputdata=K:\TIDE Projects\FDA_Sentinel\07. Projects and Task Orders\01. Modular Programs\Modules\IRR\Example\indata\;


/* Folder to which output datasets should be saved */                         
%let outputdata=K:\TIDE Projects\FDA_Sentinel\07. Projects and Task Orders\01. Modular Programs\Modules\IRR\Example\outdata\;


/* Folder containing the SAS macro */                 
%include "K:\TIDE Projects\FDA_Sentinel\07. Projects and Task Orders\01. Modular Programs\Modules\IRR\MS_IRR.sas"; 


/* Macro calls */
%ms_irr( DATAPATH= &inputdata.,
		   OUTPATH= &outputdata.,
		   DPLIST= dp01 dp02,
		   RUNID= r01,
		   TREATMENT= ace_i,
		   CONTROL= beta_b,
		   EVENT_VAR = All_Events,
		   ADJUSTVARS=AgeGroup sex dpid year ccielixgrp numvisits,
		   OUTDATA=MS_IRR_Example_&sysdate9.
		);

%ms_irr( DATAPATH= &inputdata.,
		   OUTPATH= &outputdata.,
		   DPLIST= dp01 dp02,
		   RUNID= r01,
		   TREATMENT= ace_i,
		   CONTROL= beta_b,
		   EVENT_VAR = All_Events,
		   ADJUSTVARS=AgeGroup sex dpid year,
		   OUTDATA=MS_IRR_Example2_&sysdate9.
		);
		
